Subject: Re: linux-next: build warnings after merge of the broadcom tree

From: "Arnd Bergmann" <[email-masked]>
Date: Wed, 05 Oct 2022 09:21:21 +0200

On Wed, Oct 5, 2022, at 8:02 AM, Joel Stanley wrote:
> On Wed, 5 Oct 2022 at 03:01, Florian Fainelli <[email-masked]> wrote:
>> >> I am still seeing these warnings.
>> >>
>> >> The above commit is now
>> >>
>> >>    61dc1e3850a6 ("ARM: dts: BCM5301X: Add basic PCI controller properties")
>> >
>> > Has any progress been made with this?  This commit is now in the
>> > arm-soc tree.
>>
>> Yes, I was hoping to get some feedback on this patch:
>>
>> https://lore.kernel.org/all/[email-masked]/
>>
>> but I suppose being the ARM SoC maintainer I can just go ahead and push it.

Sorry, I unfortunately missed this patch, and forgot about the
original issue.

> I'd send a revert of the change. Rafal can then re-submit a series
> that fixes the dtc warnings as well as the yaml warning once they have
> been tested and reviewed.
>
> The yaml warnings aren't seen by other developers, as they require the
> tools to be installed, but those from dtc are.

Agreed. Alternatively, we could just remove the pcie@ nodes from
bcm5301x as a hotfix, as they are clearly not usable in the
current form, and none of the three versions (5.19, Rafał's
patch missing ranges, and Florian's patch with incorrect ranges)
actually conform to the binding.

I'll tentatively apply the revert for now so I can send the pull
request tonight. If someone comes up with a better fix, I can
use that instead.

     Arnd